#include "ezwin.h"
#include <cassert>
#include "bitmap.h"

// Create a window with title "Basic", size 10cm x 10cm,
//     positioned 3cm from left, 1cm from top of screen.
SimpleWindow MyWindow("Monopoly", 27.13, 20.0,
		      Position(0.0, 0.0));

// ApiMain(): create a window and display some shapes 

int ApiMain() {
  MyWindow.Open();
  assert(MyWindow.GetStatus() == WindowOpen);

  // Colors: {White, Red, Green, Blue, Yellow, Cyan, Magenta};

  //Yellow Rectangle, with border
 MyWindow.RenderRectangle(Position(2.4,2.4), Position(16.64,16.64),
			   White, true);
 MyWindow.RenderRectangle(Position(6.47,4.97), Position(12.47,13.97),
			   White, true);
 MyWindow.RenderLine(Position(6.47,6.97),Position(12.47,6.97),
		      Black,0.05);
 MyWindow.RenderLine(Position(6.47,10.57),Position(12.47,10.57),
		      Black,0.05);
 MyWindow.RenderLine(Position(6.47,12.47),Position(12.47,12.47),
		      Black,0.05);
 MyWindow.RenderText(Position(8.47,7.02), Position(10.47,7.42),
	 "TITLE DEED", Black);
 MyWindow.RenderText(Position(6.88,8.02), Position(9.0,8.42),
	 "RENT-SITE ONLY", Black);
 MyWindow.RenderText(Position(6.88,8.52), Position(10.0,8.92),
	 "Rent with one house", Black);
 MyWindow.RenderText(Position(6.95,9.02), Position(10.2,9.42),
	 "Rent with two houses", Black);
 MyWindow.RenderText(Position(7.15,9.52), Position(10.4,9.92),
	 "Rent with three houses", Black);
 MyWindow.RenderText(Position(6.88,10.02), Position(9.2,10.42),
	 "Rent with hotel", Black);
 MyWindow.RenderText(Position(6.47,10.63), Position(12.47,11.03),
	 "If a player owns all the", Black);
 MyWindow.RenderText(Position(6.47,11.09), Position(12.47,11.49),
	 "sites of any colour group", Black);
 MyWindow.RenderText(Position(6.47,11.55), Position(12.47,11.95),
	 "the rent is doubled on", Black);
 MyWindow.RenderText(Position(6.47,12.01), Position(12.47,12.41),
	 "unimproved sites in the group", Black);
 MyWindow.RenderText(Position(6.47,12.545), Position(9.5,12.945),
	 "Cost of houses", Black);
 MyWindow.RenderText(Position(6.47,13.02), Position(9.3,13.42),
	 "Cost of hotel", Black);
 MyWindow.RenderText(Position(6.47,13.495), Position(9.5,13.895),
	 "Mortgage value", Black);

  //Red Line, thickness 0
  MyWindow.RenderLine(Position(19.2,0.0),Position(19.2,20.0),
		      Red,0.05);
 //Red Line, thickness 0
  MyWindow.RenderLine(Position(0.0,19.2),Position(19.2,19.2),
		      Blue,0.05);

  MyWindow.RenderLine(Position(19.2,2.0),Position(27.13,2.0),
		      Red,0.05);
  MyWindow.RenderLine(Position(19.2,7.5),Position(27.13,7.5),
		      Red,0.05);
  MyWindow.RenderLine(Position(19.2,11.5),Position(27.13,11.5),
		      Red,0.05);


  return 0;
} // end ApiMain()
